Type to search.

Update the license

  • POST also PUT /_license
Auth

You can update your license at runtime without shutting down your nodes. License updates take effect immediately. If the license you are installing does not support all of the features that were available with your previous license, however, you are notified in the response. You must then re-submit the API request with the acknowledge parameter set to true.

Note

If Elasticsearch security features are enabled and you are installing a gold or higher license, you must enable TLS on the transport networking layer before you install the license. If the operator privileges feature is enabled, only operator users can use this API.

Required privileges

Cluster privileges manage

Query parameters

acknowledge boolean · default: false

To update a license, you must accept the acknowledge messages and set this parameter to true. In particular, if you are upgrading or downgrading a license, you must acknowlege the feature changes.

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node.

Values: -1 0
timeout union oneOf · default: 30s

The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Request body

licenses object[]

A sequence of one or more JSON documents containing the license information.

Same fields as license

Response

application/json
acknowledged boolean required
license_status enum required
Values: active valid invalid expired